<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="ID" name="mavros">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1cDjwVBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1cDjwlBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_T7frkG-0EeiX6ta975XXMg"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="ID_manual_control" name="manual_control">
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_manual_control_mavros/manual_control/send" name="mavros/manual_control/send" type="_1lQjEVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_manual_control_mavros/manual_control/control" name="mavros/manual_control/control" type="_1lX30FBAEeyolvKeZlZVSw" aggregation="composite"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1cDjxFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1lQjEVBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1lX30FBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1la7IFBAEeyolvKeZlZVSw" client="_1lX30FBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ManualControl"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ManualControl"/>
        </interfaceRealization>
      </nestedClassifier>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_1lUNcVBAEeyolvKeZlZVSw" client="_1lQjEVBAEeyolvKeZlZVSw">
      <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ManualControl"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDjxVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDjxlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDjx1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDjyFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDjyVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDjylBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDjy1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDjzFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDjzVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDjzlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDjz1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDj0FBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDj0VBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDj0lBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDj01BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDj1FBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDj1VBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDj1lBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1cDj11BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1cDj2FBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_1cDj2VBAEeyolvKeZlZVSw" base_Package="ID" external="true"/>
  <robotics.components:ComponentDefinition xmi:id="_1cDj2lBAEeyolvKeZlZVSw" base_Class="ID_manual_control" isLifecycle="false"/>
  <robotics.parameters:Parameter xmi:id="_1cDj21BAEeyolvKeZlZVSw" base_Class="_1cDjxFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1lQjEFBAEeyolvKeZlZVSw" base_Port="ID_manual_control_mavros/manual_control/send"/>
  <robotics.components:ComponentService xmi:id="_1lUNcFBAEeyolvKeZlZVSw" base_Class="_1lQjEVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1lXQwFBAEeyolvKeZlZVSw" base_Port="ID_manual_control_mavros/manual_control/control"/>
  <robotics.components:ComponentService xmi:id="_1laUEFBAEeyolvKeZlZVSw" base_Class="_1lX30FBAEeyolvKeZlZVSw"/>
</xmi:XMI>
